curl --request GET \
--url https://api.tread-horizon.com/v1/companies/{company-id}/report_categories/{report-category-id}/omni_reports \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"dashboard_id": "<string>",
"system": true,
"report_category": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"system": true
}
}
]
}Retrieve all OmniReports under a ReportCategory that belong to a Company
This endpoint requires the view_report permission
curl --request GET \
--url https://api.tread-horizon.com/v1/companies/{company-id}/report_categories/{report-category-id}/omni_reports \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"dashboard_id": "<string>",
"system": true,
"report_category": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"system": true
}
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.tread.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
"en"
Company ID
Report Category ID
The maximum number of paginated results to return
x <= 100The cursor to start paginating after
The cursor to stop paginating at
OK
Show child attributes